Skip to main content

COPLANNER SOFTWARE

This information refers to the standard Enterprise Edition of CoPlanner software. However, the CoPlanner system requirements must always be set in relation to the amount of data to be processed.

Server

Processor: min. 2,3 GHZ Intel Xeon Processor (min. 4 Cores)

RAM: 16-32 GB (mindestens)

Client

Processor: 1.5 GHZ
RAM: 4 GB (at least)

Screen Resolution: at least 1024*768

Browser

Internet Explorer 11 or higher
Edge, Firefox, Chrome

Software

CoPlanner Server (x32/x64) (x64 recommended):

  • Windows Server 2008 R2
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2016

CoPlanner Win-Client (x32/x64):

  • Windows Vista with SP 2 or higher
  • Windows 7
  • Windows 8
  • Windows 8.1
  • Windows 10

CoPlanner Excel-Client (x32/x64):

  • Excel 2003 with SP 3 or higher
  • Excel 2007 with SP 2 or higher
  • Excel 2010
  • Excel 2013
  • Excel 2016
  • Excel 365 desktop version with version numbers 15 and 16.

CoPlanner Word Add-in (x32/x64):

  • Word 2013
  • Word 2016
  • Word 365 desktop version with version numbers 15 and 16.

CoPlanner PowerPoint Add-in (x32/x64):

  • Powerpoint 2013
  • Powerpoint 2016
  • Powerpoint 365 desktop version with version numbers 15 and 16.

Server: 

  • Microsoft SQL Server (x32 / x64) with SQL Server Management Studio and SQL Server Data Tools respectively in older versions Business Intelligence Development Studio
  • Microsoft SQL Server 2008 R2 with CU 3 or higher
  • Microsoft SQL Server 2012
  • Microsoft SQL Server 2014
  • Microsoft SQL Server 2016 (This version is a minimum requirement for using SQL Server Reporting Services in combination with the CoPlanner Data Extension)
  • Microsoft SQL Server 2017 (support for using SQL Server Reporting Services in combination with the CoPlanner Data Extension as of 9.5 HF 2.1)
  • Microsoft SQL Server Engines
  • Database Server
  • Integration Services
  • Reporting Services
  • Analysis Services
  • .Net Framework 4.6.2 (32 Bit or 64 Bit, depending on the system)
  • XML Parser 4 with SP2
  • XML Parser 6 (32 Bit or 64 Bit, depending on the system)
  • SQL Server 2014 ADOMD

Win-Client: 

  • Acrobat Reader > 8.x
  • .Net Framework 4.6.2 (32 Bit or 64 Bit, depending on the system) with SP 1
  • XML Parser 4 with SP2
  • XML Parser 6 (32 Bit or 64 Bit, depending on the system)
  • SQL Server 2014 ADOMD

Excel-Client: 

  • Shared AddIn Supportupdate (MS Patch, in Setup include)
  • .Net Framework 4.6.2 (32 Bit or 64 Bit, depending on the system)
  • XML Parser 4 with SP2
  • XML Parser 6 (32 Bit or 64 Bit, depending on the system)
  • SQL Server 2014 ADOMD

There must be a certificate for using https